TTF_CreateGPUTextEngineWithProperties(3)

NAME
TTF_CreateGPUTextEngineWithProperties - Create a text engine for drawing text with the SDL GPU API, with the specified properties.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

TTF_TextEngine * TTF_CreateGPUTextEngineWithProperties(SDL_PropertiesID props);

#define TTF_PROP_GPU_TEXT_ENGINE_DEVICE                   SDL_ttf.gpu_text_engine.create.device"
#define TTF_PROP_GPU_TEXT_ENGINE_ATLAS_TEXTURE_SIZE       SDL_ttf.gpu_text_engine.create.atlas_texture_size"

DESCRIPTION
These are the supported properties:

• TTF_PROP_GPU_TEXT_ENGINE_DEVICE : the
  SDL_GPUDevice to use for creating textures and drawing text.

• TTF_PROP_GPU_TEXT_ENGINE_ATLAS_TEXTURE_SIZE :
  the size of the texture atlas

FUNCTION PARAMETERS

props
    the properties to use.

RETURN VALUE
( TTF_TextEngine
 *) Returns a

TTF_TextEngine
 object or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the device.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_CreateGPUTextEngine(3), •(3), TTF_DestroyGPUTextEngine(3), •(3), TTF_GetGPUTextDrawData(3)